## org.exist.xquery.value
Class DecimalValue

    java.lang.Object
      org.exist.xquery.value.AtomicValue
          org.exist.xquery.value.ComputableValue
              org.exist.xquery.value.NumericValue
                  org.exist.xquery.value.DecimalValue

All Implemented Interfaces:
  java.lang.Comparable, Indexable, Item, Sequence

public class DecimalValue
extends NumericValue

Author:
  wolf

Field Summary

Fields inherited from class org.exist.xquery.value.AtomicValue
`EMPTY_VALUE`

Fields inherited from interface org.exist.xquery.value.Sequence
`EMPTY_SEQUENCE`

Constructor Summary
`DecimalValue(java.math.BigDecimal decimal)`
`DecimalValue(double val)`
`DecimalValue(java.lang.String str)`

Method Summary
`NumericValue` `abs()`
`NumericValue` `ceiling()`
`int` `conversionPreference(java.lang.Class javaClass)` Returns a preference indicator, indicating the preference of a value to be converted into the given Java class.
`AtomicValue` `convertTo(int requiredType)` Convert this item into an atomic value, whose type corresponds to the specified target type.
`ComputableValue` `div(ComputableValue other)`
`boolean` `effectiveBooleanValue()` Get the effective boolean value of this sequence.
`NumericValue` `floor()`
`java.lang.String` `getStringValue()` Return the string value of this item (see the definition of string value in XPath).
`int` `getType()` Return the type of this item according to the type constants defined in class `Type`.
`IntegerValue` `idiv(NumericValue other)`
`AtomicValue` `max(java.text.Collator collator, AtomicValue other)`
`AtomicValue` `min(java.text.Collator collator, AtomicValue other)`
`ComputableValue` `minus(ComputableValue other)`
`NumericValue` `mod(NumericValue other)`
`ComputableValue` `mult(ComputableValue other)`
`NumericValue` `negate()`
`ComputableValue` `plus(ComputableValue other)`
`NumericValue` `round()`
`NumericValue` `round(IntegerValue precision)`
`java.lang.Object` `toJavaObject(java.lang.Class target)` Convert the value into an instance of the specified Java class.

Methods inherited from class org.exist.xquery.value.NumericValue
`compareTo, compareTo, getDouble, getInt, getLong, isInfinite, isNaN`

Methods inherited from class org.exist.xquery.value.AtomicValue
`add, addAll, atomize, clearContext, compareTo, contains, copyTo, deserialize, dump, endsWith, getCardinality, getDocumentSet, getItemType, getLength, hasMany, hasOne, isCached, isEmpty, isPersistentSet, itemAt, iterate, promote, removeDuplicates, serialize, serializeValue, setIsCached, setSelfAsContext, startsWith, toNodeSet, toSAX, toSequence, toString, unorderedIterator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DecimalValue

    public DecimalValue(java.math.BigDecimal decimal)

### DecimalValue

    public DecimalValue(java.lang.String str)
                 throws XPathException

### DecimalValue

    public DecimalValue(double val)

Method Detail

### getType

    public int getType()

  Description copied from interface: `Item`
  Return the type of this item according to the type constants defined in class `Type`.

  Specified by:
    `getType` in interface `Item`
  Overrides:
    `getType` in class `AtomicValue`

### getStringValue

    public java.lang.String getStringValue()
                                    throws XPathException

  Description copied from interface: `Item`
  Return the string value of this item (see the definition of string value in XPath).

  Specified by:
    `getStringValue` in interface `Item`
  Specified by:
    `getStringValue` in class `NumericValue`
  Throws:
    `XPathException`

### convertTo

    public AtomicValue convertTo(int requiredType)
                          throws XPathException

  Description copied from interface: `Item`
  Convert this item into an atomic value, whose type corresponds to the specified target type. requiredType should be one of the type constants defined in `Type`. An `XPathException` is thrown if the conversion is impossible.

  Specified by:
    `convertTo` in interface `Item`
  Specified by:
    `convertTo` in class `NumericValue`
  Throws:
    `XPathException`

### effectiveBooleanValue

    public boolean effectiveBooleanValue()
                                  throws XPathException

  Description copied from interface: `Sequence`
  Get the effective boolean value of this sequence. Will be false if the sequence is empty, true otherwise.

  Specified by:
    `effectiveBooleanValue` in interface `Sequence`
  Overrides:
    `effectiveBooleanValue` in class `AtomicValue`
  Throws:
    `XPathException`

### negate

    public NumericValue negate()
                        throws XPathException

  Specified by:
    `negate` in class `NumericValue`
  Throws:
    `XPathException`

### ceiling

    public NumericValue ceiling()
                         throws XPathException

  Specified by:
    `ceiling` in class `NumericValue`
  Throws:
    `XPathException`

### floor

    public NumericValue floor()
                       throws XPathException

  Specified by:
    `floor` in class `NumericValue`
  Throws:
    `XPathException`

### round

    public NumericValue round()
                       throws XPathException

  Specified by:
    `round` in class `NumericValue`
  Throws:
    `XPathException`

### round

    public NumericValue round(IntegerValue precision)
                       throws XPathException

  Specified by:
    `round` in class `NumericValue`
  Throws:
    `XPathException`

### minus

    public ComputableValue minus(ComputableValue other)
                          throws XPathException

  Specified by:
    `minus` in class `ComputableValue`
  Throws:
    `XPathException`

### plus

    public ComputableValue plus(ComputableValue other)
                         throws XPathException

  Specified by:
    `plus` in class `ComputableValue`
  Throws:
    `XPathException`

### mult

    public ComputableValue mult(ComputableValue other)
                         throws XPathException

  Specified by:
    `mult` in class `ComputableValue`
  Throws:
    `XPathException`

### div

    public ComputableValue div(ComputableValue other)
                        throws XPathException

  Specified by:
    `div` in class `ComputableValue`
  Throws:
    `XPathException`

### idiv

    public IntegerValue idiv(NumericValue other)
                      throws XPathException

  Specified by:
    `idiv` in class `NumericValue`
  Throws:
    `XPathException`

### mod

    public NumericValue mod(NumericValue other)
                     throws XPathException

  Specified by:
    `mod` in class `NumericValue`
  Throws:
    `XPathException`

### abs

    public NumericValue abs()
                     throws XPathException

  Specified by:
    `abs` in class `NumericValue`
  Throws:
    `XPathException`

### max

    public AtomicValue max(java.text.Collator collator,
                           AtomicValue other)
                    throws XPathException

  Specified by:
    `max` in class `NumericValue`
  Throws:
    `XPathException`

### min

    public AtomicValue min(java.text.Collator collator,
                           AtomicValue other)
                    throws XPathException

  Specified by:
    `min` in class `NumericValue`
  Throws:
    `XPathException`

### conversionPreference

    public int conversionPreference(java.lang.Class javaClass)

  Description copied from interface: `Sequence`
  Returns a preference indicator, indicating the preference of a value to be converted into the given Java class. Low numbers mean that the value can be easily converted into the given class.

  Specified by:
    `conversionPreference` in interface `Item`
  Overrides:
    `conversionPreference` in class `AtomicValue`

### toJavaObject

    public java.lang.Object toJavaObject(java.lang.Class target)
                                  throws XPathException

  Description copied from interface: `Sequence`
  Convert the value into an instance of the specified Java class.

  Specified by:
    `toJavaObject` in interface `Item`
  Overrides:
    `toJavaObject` in class `AtomicValue`
  Throws:
    `XPathException`

Copyright (C) Wolfgang Meier. All rights reserved.